API-5.0

API 5.0 Amazon Afiliados

Si tienes una cuenta de Amazon Afiliado seguro que has recibido recientemente este email: Pásate a la PA API 5.0 antes de que la PA API 4.0 cierre definitivamente el 9 de marzo de 2020.

En ese mismo email te explica la novedades que trae y las ventajas con respecto a la API 4.0:

  • Acceso a la información sobre las últimas ofertas y productos de toda la base de datos/catálogo de Amazon, incluyendo descuentos Prime, formatos en diferentes divisas y posibilidades de envío.
  • Nuevas y mejoradas formas de obtener la información de producto más relevante y actualizada.
  • Integración rápida y desarrollo más sencillo con menor carga de montaje e instalación gracias al uso de herramientas y lenguajes populares.

Sin embargo, después de ello te comenta que a partir del 9 de Marzo de 2020 la API 4.0 dejará de funcionar y que ya solo operará la API 5.0.

¿Cómo saber si tengo la API 5.0?

La tarea es simple, si ya tienes la API 5.0 no tendrás que hacer nada y si tienes la 4.0 te va a tocar tener que hacer la migración. Por lo general, los usuarios que hicieron su cuenta a partir de 2017 ya cuentan con esta API, pero para mayor seguridad te explicamos el procedimiento para conocer la API que tienes:

  • Primero entra en el enlace del email donde pone Haz clic aquí para obtener más información (en inglés) sobre la PA API 5.0: https://amzn.to/2oFKZJR
  • Se te abrirá la siguiente página. Haz click en Quick Start y a continuación en Using Scratchpad.
Documentación API 5.0
  • Baja hasta el final y haz clic en el enlace de tu país. 
API de Publicidad de productos
  • En la nueva página que te ha aparecido haz clic, en el menú vertical de la izquierda, sobre GetVariations.
comprobar api
  • Ahora rellena los campos Partner Tag (identificador de afiliado), Access Key y Secret Key (te las proporcionan al crear tu cuenta de afiliado).
  • Haz clic en el menú de la izquierda en Searchitems.
  • En keywords escribimos el nombre de un producto y pulsamos en el botón amarillo Run Request.
productos

Si tras realizar esto te han aparecido una serie de productos, quiere decir que tienes la API 5.0 por lo que no tendrás que realizar nada.

AAWP y API 5.0

Si tienes el plugin AAWP tienes que tener en cuenta, que la versión 3.8.14 (o anterior) del complemento ya no podrá conectarse a la API de Amazon, lo que significa que no podrás agregar nuevos productos o actualizar los detalles de los productos existentes.

Sin embargo, si tienes la licencia activada podrás actualizar el plugin a la última versión y listo. Sin embargo, si tienes la versión 3.8.14 o anterior y la licencia caducada te tocará pasar por caja para seguir utilizando este plugin.

Problemas con la nueva API y AAWP

La API 5.0 ya empieza a mostrar algunos problemas como por ejemplo, aún no ofrece la posibilidad de recuperar listas de los más vendidos. Según el equipo de desarrollo de Amazon, esta función estará disponible nuevamente en el futuro.

Además, la nueva API aún no ofrece la posibilidad de recuperar nuevas listas de versiones. No sabemos si Amazon implementará esta característica nuevamente en el futuro.

One thought on “API 5.0 Amazon Afiliados

  1. Siguendo las indicaciones y disponiendo de aawp plugin (actualizado), al realizarlo te dejan de salir los productos con indicación de «producto no encontrado» ¿a qué creeis que se debe?

    1. Si sigues todo el procedimiento y pones un producto como puede ser portátiles y te aparecen los productos pero aparece imagen no encontrada, no tienes de que preocuparte ya que la aplicación de Amazon falla en ese sentido bastante. El problema vendría si no te apareciera ningún producto y un mensaje en letras rojas

  2. Hola, yo tengo licencia activa hasta diciembre 2020 y de aawp se actualizó varias veces, pero tengo la versión 3.12 , últimamente al añadir nuevos productos con el asin me aparece producto no encontrado y hasta dentro de un rato no aparecen.

  3. Disculpa, otra duda en caso de que no renueve la licencia podré seguir publicando productos? ya que mi versión es anterior a la 3.8 a pesar que actualmente tengo licencia activa, gracias!

    1. Yo realmente nunca renovaba la licencia (incluso en web con varios años) puesto que el plugin seguía funcionando correctamente y solo la he renovado cuando ha pasado esto de la nueva API de Amazon. Por lo tanto, si tienes licencia hasta Diciembre yo no la volvería a renovar hasta que dentro de unos años Amazon decida sacar una nueva API. Además, si puedes seguir publicando productos quiere decir que hace la llamada correctamente, como me ha pasado a mi con una de mis web que tiene la versión 3.8.9

      1. buenas, en eso estoy yo intentando conectarme o actualizaar a la api 5.0 pero me cuesta muchisimo podriais guiarme? solo hy que crear nuevos credenciales y ponerlos en wordpress la nuevas key creadas? muchas gracias

Deja una respuesta

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *